#
# spec file for package python-pygls
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-pygls
Version:        1.3.1
Release:        1.3
Summary:        A pythonic generic language server
License:        Apache-2.0
URL:            https://github.com/openlawlibrary/pygls
Source:         https://github.com/openlawlibrary/pygls/archive/refs/tags/v%{version}.tar.gz#/pygls-%{version}.tar.gz
BuildRequires:  %{python_module base >= 3.8}
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module poetry-core}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
# For testing
BuildRequires:  %{python_module lsprotocol}
BuildRequires:  %{python_module pytest-asyncio}
BuildRequires:  %{python_module pytest}
# Endif
Requires:       python-lsprotocol
Requires:       python-websockets
BuildArch:      noarch
%python_subpackages

%description
pygls (pronounced like "pie glass") is a pythonic generic
implementation of the Language Server Protocol for use as a
foundation for writing your own Language Servers in just a few
lines of code.

%prep
%autosetup -p1 -n pygls-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%doc README.md
%license LICENSE.txt
%{python_sitelib}/pygls
%{python_sitelib}/pygls-%{version}*-info

%changelog
* Sat Apr  6 2024 Dirk Müller <dmueller@suse.com>
- update to 1.3.1:
  * Typo: Apache License missing dash: Affects PyPI License
    Declaration
  * Add systemd-language-server to implementations
  * Update Implementations.md with Chapel's language server
* Tue Jan 30 2024 Dirk Müller <dmueller@suse.com>
- update to 1.3.0:
  * feat: drop Python 3.7 support
  * Add `pytest-lsp` and `lsp-devtools` to Implementations.md
  * Add support for debugging servers in the VSCode Playground
  * Update `lsprotocol` to 2023.0.1
* Fri Dec  1 2023 Matej Cepl <mcepl@cepl.eu>
- Update to 1.2.1:
  - handle ResponseErrors correctly by @dimbleby in #416
- Update to 1.2.0:
  - Remove dependency on typeguard by @karthiknadig in #411
  - Simplify vscode-playground setup and fix Python discovery by
    @alcarney in #374
* Mon Nov  6 2023 Matej Cepl <mcepl@suse.com>
- Initial attempt to package pygls 1.1.2.
